<div class="title-component">
    <h3 mat-dialog-title>{{titleModal}}</h3>
</div>
<form >
    <div class="mat-dialog-content">
        <div class="row wrap">
            <div class="col-12 text-aling-center">
                <mat-form-field dividerColor="primary" class="width-size">
                    <input maxlength="50" type="text" placeholder="Rol" aria-label="rol" matInput
                        [formControl]="validateFilters.get('rol')" [matAutocomplete]="autoRol">
                    <mat-autocomplete autoActiveFirstOption #autoRol="matAutocomplete">
                        <mat-option *ngFor="let rol of rolesFilteredOptions | async" [value]="rol">
                            {{ rol.name }}
                        </mat-option>
                    </mat-autocomplete>
                    <mat-error *ngIf="formValidator.rol.errors">
                        <div *ngIf="formValidator.rol.errors?.maxlength">
                            Solo se permiten 50 caracteres
                        </div>
                        <div *ngIf="formValidator.rol.errors?.validacion">
                            {{ formValidator.rol.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-12 text-aling-center">
                <mat-form-field class="width-size">
                    <mat-label>Permisos</mat-label>
                    <mat-select [formControl]="validateFilters.get('permission')" #permission name="permission" [compareWith]="permissionChange">
                        <mat-option *ngFor="let permission of permissions" [value]="permission">
                            {{permission.permissionDescription}}</mat-option>
                    </mat-select>
                    <mat-error *ngIf="formValidator.permission.errors">
                        <div *ngIf="formValidator.permission.errors?.required">
                            Este campo es obligatorio
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-12 text-aling-center">
                <mat-form-field dividerColor="primary" class="width-size">
                <mat-label>Módulo</mat-label>
                     <mat-select [formControl]="validateFilters.get('module')" #module name="module">
                        <mat-option *ngFor="let module of modules" [value]="module.moduleName">
                            {{module.uuid | moduleNames}}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="formValidator.module.errors">
                        <div *ngIf="formValidator.module.errors?.required">
                            Este campo es obligatorio
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <div mat-dialog-actions class="justify-center">
            <button mat-raised-button color="warn" mat-dialog-close class="space-buttom">Cancelar</button>
            <button mat-raised-button color="primary" (click)="save()" type="submit" class="space-buttom">Guardar</button>
        </div>
    </div>
</form>